Retrieve Creative Preview Image for each AdUnit

This endpoint provides image-only previews for a specific ad unit, supporting both banner and video creatives. Video creatives previews are images.

Note:

  • Previews may not be available for creatives produced by Walmart or cloned from a creative originally produced by Walmart.
  • Preview images are available for download only after the status returns as COMPLETED via the POST /api/v1/creatives/preview/status endpoint

📘

URL: POST /api/v1/creatives/:creativeId/preview/:adUnitName

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
creativeIdThe ID of the creativestringYA valid creative ID
adUnitNamename of ad unitstringY
  • For Banner (Static Display) Creatives:
    • marqueeDesktop, marqueeApp, skylineDesktop, skylineApp, skylineDesktopV2, skylineAppV2, skylineDesktopV3, skylineAppV3, brandboxDesktop, brandboxApp, galleryDesktop, galleryApp, tileDesktop, tileApp, galleryDWebMini, marqueeTablet
  • For Display Video Creatives:
    • brandboxAppVideo, brandboxDesktopVideo,checkInVideo

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID
typestate of preview for a creativestringY
  • refreshed – to generate the preview for the creative, that was compiled most recently.
  • submitted – to generate the preview for the creative that was last submitted for approval
  • approved – preview of the last moderated version of the creative, The creative may be approved or rejected
badgeType

If badgeType is specified, the preview will render the corresponding badge, provided that the account has rollback badge enabled and the ad unit supports badge rendering.

If badgeType is not included, the preview will omit the badge entirely.

enumNValues:
  • ROLLBACK
  • ROLLBACKS_AND_MORE
  • ROLLBACK_WITH_PRICE
  • PRICE
  • EXPRESS_DELIVERY
resolutionThis option enables the selection of single or double resolution for the preview filestringNValues: 1X, 2X
Note: Default vale is 1X

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333/preview/marqueeDesktop' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 00000000, "type": "refreshed", "badgeType":"ROLLBACK", "resolution":"1X" }' \
--output filename.jpg

Success Response:

jpeg image file of screenshot for ad unit will be returned

Note: 

‘2X’ returns the jpeg@2x file
‘1X’ returns the current jpeg file

Error Response

FieldDescriptionOptional field/Nullable?TypePossible values
codecode returns failure in error scenariosNstringfailure
detailsList of error codes associated with the request. Use these codes for programmatic error handling.NarrayRefer to this link for detailed error messages
messageHigh-level summary of the error, when available. Ystring 
errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray<object> 

errors Array Object Details

FieldDescriptionOptional field/Nullable?TypePossible values
fieldJSON field associated with the error. Omitted if the error applies to the request as a whole.Ystring 
errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

Sample Response - Failure (When Wrong creativeId is Provided)

[ { "code": "failure", "message": "The requested resource is not found.", "errors": [ { "errorType": "E_RESOURCE_NOT_FOUND", "description": "Creative version not found for creative 4e16rtyu-y889-5tug-a28d-58e96f65f06b with label REFRESHED. Check the resource identifier and try again." } ], "details": [ "E_RESOURCE_NOT_FOUND" ] }
]

Did this page help you?